> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 모델 삭제

> 모델 객체를 삭제합니다. 다이제스트를 지정하면 해당 버전만 삭제됩니다. 그렇지 않으면 모든 버전이 삭제됩니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json delete /v2/{entity}/{project}/models/{object_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/models/{object_id}:
    delete:
      tags:
        - Models
      summary: 모델 삭제
      description: 모델 객체를 삭제합니다. 다이제스트를 지정하면 해당 버전만 삭제됩니다. 그렇지 않으면 모든 버전이 삭제됩니다.
      operationId: model_delete_v2__entity___project__models__object_id__delete
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - description: 삭제할 다이제스트 목록입니다. 지정하지 않으면 해당 모델의 모든 다이제스트가 삭제됩니다.
          in: query
          name: digests
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: 삭제할 다이제스트 목록입니다. 지정하지 않으면 해당 모델의 모든 다이제스트가 삭제됩니다.
            title: Digests
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelDeleteRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ModelDeleteRes:
      properties:
        num_deleted:
          description: 삭제된 모델 버전 수
          title: Num Deleted
          type: integer
      required:
        - num_deleted
      title: ModelDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````